not works 3.5.1 Rated 3 out of 5 stars

I use firefox 3.5.1 it doesnt work :(

This review is for a previous version of the add-on (0.3.1).